import { zh } from './zh';
export type Lang = 'zh' | 'en';
type TranslationKey = keyof typeof zh;
export declare function provideLang(lang: import('vue').Ref<Lang>): void;
export declare function useTranslation(): {
    t: (key: TranslationKey, vars?: Record<string, string | number>) => string;
    lang: import("vue").Ref<Lang, Lang>;
};
export {};
